<?php include('casa/setup.casa.php');
$id = DataForms::GET('code');
include('inc_scripts.php');
$title = 'Duplicar este Producto???';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
	$prod_foto = $db->dbField('prod_foto');
		if($prod_foto=='') $prod_foto = 'vacio.png';
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	$tipo = $db->dbField('prod_tipo');
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_fecha = $db->dbField('prod_fecha');
	$prod_observaciones = $db->dbField('prod_observaciones');
//cantidad cajas y unidades
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
	//cantidades reales
$prod_piezascaja_real = $prod_piezascaja * $prod_cantidadcajas; //$db->dbField('prod_piezascaja_real');	
		if($prod_piezascaja_real == 0) $prod_piezascaja_real = $prod_unidadesreal;
	if($tipo==1){
		
		//$CantidadRealCajas = $prod_piezascaja_real / $prod_piezascaja;
		$cantidad = $prod_unidadesreal;
	}else{
		$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
		$cantidad = $CantidadRealCajas;
	}
?>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
					<div class="row">
						<div class="col-md-12">
						<form method="post" action="<?php echo PATH_HOME."productos-duplicado-mod2.php?c=".md5(uniqid()) ?>" enctype="multipart/form-data" novalidate>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Ubicaciones:</label>
												<select id="cmbUbicaciones" name="cmbUbicaciones" class="form-control" style="text-align:left">
															<option value="" selected>Listado de Ubicaciones</option>
													<?php
													$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
													WHERE ubica_estado='1';";
													$Ubicaciones = new DB();
													$Ubicaciones->dbSQL($sqlUbicaciones);
													$html = "";
														while($Ubicaciones->next()){
															$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
															$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');
															
															if($ubica_codigo == $ubica_codigo_prod){
																$html.='<option value="'.$ubica_codigo.'" selected>'.$ubica_nombre.'</option>';	
															}else{
																$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';
															}														
														}//wend() 

													echo utf8_encode($html);
													?>															
																														
												</select>
											</div>	
											<div class="form-group form-group-default">
												<label>Item:</label>
												<input id='txtItem' name='txtItem' value='<?php echo $prod_item ?>' type="text" class="form-control">
											</div>		
											<div class="form-group form-group-default">
												<label>Producto:</label>
												<input id='txtProducto' name='txtProducto' value='<?php echo $prod_nombre ?>' type="text" class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Piezas por Caja:</label>
												<input id='txtPiezasCaja' name='txtPiezasCaja' value='<?php echo $prod_piezascaja ?>' type="number" class="form-control">
											</div>																																
											
										</div>
										<div class="col-md-6 col-lg-4">	
											<div class="form-group form-group-default">
												<label>Cantidad Cajas:</label>
												<input value='<?php echo number_format($CantidadRealCajas,2); ?>' type="text" class="form-control" disabled>
												<input id='txtCantidadCaja' name='txtCantidadCaja' value='<?php echo $CantidadRealCajas; ?>' type="hidden">
											</div>																
											<div class="form-group form-group-default">
												<label>Precio Unitario Bs.:</label>
												<input id='txtPrecioUnitario' name='txtPrecioUnitario' value='<?php echo $prod_preciounitario ?>' type="number" step='0.05' class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Precio por Docena Bs.:</label>
												<input id='txtPrecioDocena' name='txtPrecioDocena' value='<?php echo $prod_preciodocena ?>' type="number" step='0.05' class="form-control">
											</div>	
											<div class="form-group form-group-default">
												<label>Precio por Caja Docena Bs.:</label>
												<input id='txtPrecioCajaDocena' name='txtPrecioCajaDocena' value='<?php echo $prod_preciocajadocena ?>' type="number" step='0.05' class="form-control">
											</div>	
											
										</div>
										<div class="col-md-6 col-lg-4">																																										
											<div class="form-group form-group-default">
												<label>Foto</label>
												<center><img src="<?php echo PATH_HOME.'fotos/small_'.$prod_foto ?>" width='100px'>
													<input id='txtFoto' name='txtFoto' type="file" class="form-control" required>
												</center>

											</div>											
											<div class="form-group form-group-default">
												<label>Observaciones:</label>
												<textarea id='txtObservaciones' name='txtObservaciones' class="form-control" rows='3'><?php echo $prod_observaciones ?></textarea>
											</div>
										</div>
									
										
										<div class="col-md-12 col-lg-12">								
											<div class="card-title">Control de Inventario</div> <hr>
										</div>	

										<div class="col-md-6 col-lg-4">	
											<div class="form-group form-group-default">
												<label>Cantidad Piezas Físico:</label>
												<input value='<?php echo $prod_unidadesreal ?>' type="text" class="form-control" disabled>																																
												<input id='prod_piezascaja_real' name='prod_piezascaja_real' value='<?php echo $prod_unidadesreal ?>' type="hidden">																																
											</div>						

											<div class="form-group form-group-default">
												<label>Tipo de Medida:</label>
												<select id='tipo' name='tipo' class="form-control">	
													<?php if($tipo==1){
														echo '<option value="1" selected>Unidades</option>
														<option value="2">Cajas</option>';
													}else{
														echo '<option value="1">Unidades</option>
														<option value="2" selected>Cajas</option>';
													} ?>
												</select>																														
											</div>	
											<div class="form-group form-group-default">
												<label>Cantidad:</label>
												<input id='cantidad' name='cantidad' value='<?php echo $cantidad ?>' type="number" class="form-control">																																
											</div>																
																						
										</div>
									</div>
								</div>
									<div class="card-action">
										<div id='res'></div>
										<input type="hidden" id='codigo' name='codigo' value='<?php echo $id ?>'>
										<input type="hidden" id='prod_foto' name='prod_foto' value='<?php echo $prod_foto ?>'>
										<!--button class="btn btn-danger" type='button' id="btnCancelar"><b> CANCELAR </b></button>	</center-->								
									
										<a href='<?php echo PATH_HOME.'productos/ver'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									
										<button class="btn btn-info" type='submit'><b> GUARDAR DATOS </b></button>
															
									</div>
								</div>

								
								
								
							</div>
						</form>
						</div>
					</div>
				</div>
				
				<?php include('inc_pie.php');?>
			</div>
		</div>
	
		
	</div>
</body>
</html>
<script>
$('#tipo').change(function(){
	let tipo = $(this).val();
	let uni = '<?php $prod_piezascaja_real = $prod_piezascaja * $prod_cantidadcajas; //$db->dbField('prod_piezascaja_real');	
		if($prod_piezascaja_real == 0) $prod_piezascaja_real = $prod_unidadesreal;
		$CantidadRealCajas = $prod_piezascaja_real / $prod_piezascaja;
		echo $prod_piezascaja_real; ?>';
	let caja = '<?php $CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;
		echo $CantidadRealCajas; ?>';

	if(tipo==1){
		$('#cantidad').val(uni);
	}else{
		$('#cantidad').val(caja);
	}
});

/*
$('#btnCancelar').click(function(){

  $.post('<?php echo PATH_HOME.'productos-duplicado-del.php?code='. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $id; ?>',	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});*/
</script>